# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_92zf360bct/clone/recipe, last modified Thu Jun 27 09:46:58 2024
# ------------------------------------------------

package:
  name: spyder
  version: 5.5.1
source:
  sha256: fb3f098f4780fe6607d6bf19414c98505324ee1d660718e84c3e58664d1c1f49
  url: https://pypi.io/packages/source/s/spyder/spyder-5.5.1.tar.gz
build:
  entry_points:
    - spyder = spyder.app.start:main
  number: '3'
  osx_is_app: true
  string: py39hca03da5_3
requirements:
  host:
    - ca-certificates 2024.3.11 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_1
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.14 h80987f9_0
    - pip 24.0 py39hca03da5_0
    - python 3.9.19 hb885b13_1
    - readline 8.2 h1a28f6b_0
    - setuptools 69.5.1 py39hca03da5_0
    - sqlite 3.45.3 h80987f9_0
    - tk 8.6.14 h6ba3021_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py39hca03da5_0
    - xz 5.4.6 h80987f9_1
    - zlib 1.2.13 h18a0788_1
  run:
    - applaunchservices >=0.3.0
    - atomicwrites >=1.2.0
    - chardet >=2.0.0
    - cloudpickle >=0.5.0
    - cookiecutter >=1.6.0
    - diff-match-patch >=20181111
    - intervaltree >=3.0.2
    - ipython >=8.13.0,<9.0.0,!=8.17.1
    - jedi >=0.17.2,<0.20.0
    - jellyfish >=0.7
    - jsonschema >=3.2.0
    - keyring >=17.0.0
    - nbconvert >=4.0
    - numpydoc >=0.6.0
    - parso >=0.7.0,<0.9.0
    - pexpect >=4.4.0
    - pickleshare >=0.4
    - psutil >=5.3
    - pygments >=2.0
    - pylint >=2.5.0,<3.1
    - pylint-venv >=3.0.2
    - pyls-spyder >=0.4.0
    - pyqt >=5.10,<5.16
    - pyqtwebengine >=5.10,<5.16
    - python >=3.9,<3.10.0a0
    - python-lsp-black >=2.0.0,<3.0.0
    - python-lsp-server >=1.10.0,<1.11.0
    - python.app
    - pyzmq >=22.1.0
    - qdarkstyle >=3.2.0,<3.3.0
    - qstylizer >=0.2.2
    - qtawesome >=1.2.1
    - qtconsole >=5.5.1,<5.6.0
    - qtpy >=2.1.0
    - rtree >=0.9.7
    - setuptools >=49.6.0
    - sphinx >=0.6.6
    - spyder-kernels >=2.5.0,<2.6.0
    - textdistance >=4.2.0
    - three-merge >=0.1.1
    - watchdog >=0.10.3
  run_constrained:
    - menuinst >=1.4.17
test:
  commands:
    - pip check
    - USER=test spyder -h || true
  imports:
    - spyder
  requires:
    - pip
app:
  entry: spyder
  icon: logo.png
  summary: The Scientific Python Development Environment
  type: desk
about:
  description: 'Spyder is a powerful scientific environment written in Python, for
    Python,

    and designed by and for scientists, engineers and data analysts.

    It features a unique combination of the advanced editing, analysis,

    debugging and profiling functionality of a comprehensive development tool

    with the data exploration, interactive execution, deep inspection and

    beautiful visualization capabilities of a scientific package.\n

    Furthermore, Spyder offers built-in integration with many popular

    scientific packages, including NumPy, SciPy, Pandas, IPython, QtConsole,

    Matplotlib, SymPy, and more.\n

    Beyond its many built-in features, Spyder can be extended even further via

    third-party plugins.\n

    Spyder can also be used as a PyQt5 extension library, allowing you to build

    upon its functionality and embed its components, such as the interactive

    console or advanced editor, in your own software.

    '
  dev_url: https://github.com/spyder-ide/spyder
  doc_url: https://docs.spyder-ide.org/
  home: https://www.spyder-ide.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE.txt
  summary: The Scientific Python Development Environment
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 92fa6941-7721-41c3-b7a6-4e692ce5a0ec
  recipe-maintainers:
    - andfoy
    - ccordoba12
    - dalthviz
    - steff456
  remote_url: git@github.com:AnacondaRecipes/spyder-feedstock.git
  sha: e5847af7245826ff7bed0758d05bc6c947dddbc3
